Bug 26458 - Get item details using only itemnumber
Summary: Get item details using only itemnumber
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 5697
  Show dependency treegraph
 
Reported: 2020-09-14 16:55 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26458: Get item details using only itemnumber (1.78 KB, patch)
2020-09-14 18:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26458: Get item details using only itemnumber (1.83 KB, patch)
2020-09-15 11:37 UTC, David Nind
Details | Diff | Splinter Review
Bug 26458: Get item details using only itemnumber (1.89 KB, patch)
2020-09-15 19:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-14 16:55:42 UTC
Right now in order to get item information on moredetail.pl you must pass at least a biblionumber or a biblionumber and itemnumber. I would like to make it so that it will accept an itemnumber all by itself.
Comment 1 Owen Leonard 2020-09-14 18:28:56 UTC Comment hidden (obsolete)
Comment 2 David Nind 2020-09-15 11:37:15 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-09-15 19:53:09 UTC
Created attachment 110122 [details] [review]
Bug 26458: Get item details using only itemnumber

This patch modifies moredetail.pl so that it can accept an itemnumber as
a single parameter.

To test, apply the patch and view a bibliographic record in the
catalog which has one or more items.

 - In the table showing holdings, click the barcode to view the item
   detail page for that item.
 - In the location bar, modify the URL so that it uses only the
   itemnumber parameter, e.g.

   /cgi-bin/koha/catalogue/moredetail.pl?itemnumber=1234

   The page should load correctly, showing information about just that
   item.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-10-01 09:45:57 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 17:30:20 UTC
enhancement will not be backported to 20.05.x